HaruPage::getFlatness
HaruPage::getGrayFill
HaruPage
PHP Manual

# HaruPage::getGMode

(PECL haru >= 0.0.1)

HaruPage::getGMode — Get the current graphics mode

### Description

int HaruPage::getGMode ( void )

Get the current graphics mode.

### Parameters

This function has no parameters.

### Return Values

Returns the current graphics mode. The result value is one of the following:

- `HaruPage::GMODE_PAGE_DESCRIPTION`
- `HaruPage::GMODE_TEXT_OBJECT`
- `HaruPage::GMODE_PATH_OBJECT`
- `HaruPage::GMODE_CLIPPING_PATH`
- `HaruPage::GMODE_SHADING`
- `HaruPage::GMODE_INLINE_IMAGE`
- `HaruPage::GMODE_EXTERNAL_OBJECT`

### Errors/Exceptions

Throws a HaruException on error.

HaruPage::getFlatness
HaruPage::getGrayFill
HaruPage
PHP Manual